animationSystem.cameraSpring.use 1
animationSystem.cameraSpring.amplitude 0.02/0.01/0.045
animationSystem.cameraSpring.zoomDamping 2.5/2.5/0
animationSystem.cameraSpring.stiffness 10/10/10
animationSystem.cameraSpring.move 2/2/2
animationSystem.cameraSpring.look 1/1
animationSystem.cameraSpring.fire 0/0/150

rem *** Animations ***
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_deploy.baf
animationManager.looping 0
animationManager.length 1
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_fire_single.baf
animationManager.looping 0
animationManager.length 2
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_fire2.baf
animationManager.looping 0
animationManager.length 2
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_fire3.baf
animationManager.looping 0
animationManager.length 2.5
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_Idle1.baf
animationManager.looping 0
animationManager.length 6
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_Idle2.baf
animationManager.looping 0
animationManager.length 2.25
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_run.baf
animationManager.length 0.666667
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_sprint.baf
animationManager.length 1.2
animationSystem.createAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_stand.baf
animationManager.length 10

rem *** Bundles ***
animationSystem.createBundle deploy
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_deploy.baf

animationSystem.createBundle Fire1
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime .01
animationBundle.abruptPlayback 1
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_fire_single.baf

animationSystem.createBundle Fire2
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime .01
animationBundle.abruptPlayback 1
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_fire2.baf

animationSystem.createBundle Fire3
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime .01
animationBundle.abruptPlayback 1
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_fire3.baf

animationSystem.createBundle idle1
animationBundle.isLooping 0
animationBundle.fadeInTime 0.001
animationBundle.fadeOutTime 0.5
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_Idle1.baf

animationSystem.createBundle Idle2
animationBundle.isLooping 0
animationBundle.fadeInTime 0.1
animationBundle.fadeOutTime 0.8
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_Idle2.baf

animationSystem.createBundle reload
animationBundle.isLooping 0
animationBundle.fadeOutTime 0.2

animationSystem.createBundle run
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_run.baf

animationSystem.createBundle sprint
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_sprint.baf

animationSystem.createBundle still
animationBundle.addAnimation Objects/Weapons/Handheld/Nightstick/Animations/1p/1p_Nightstick_stand.baf
animationBundle.abruptPlayback 1


rem *** Triggers ***
animationSystem.createTrigger RandomTrigger rnd_idle
animationTrigger.addBundle idle1
animationTrigger.addBundle Idle2

animationSystem.createTrigger RandomTrigger rnd_fire
animationTrigger.addBundle fire1
animationTrigger.addBundle fire2
animationTrigger.addBundle fire3

animationSystem.createTrigger IdleTrigger idle
animationTrigger.addChild rnd_idle
animationTrigger.idleTime 5/15

animationSystem.createTrigger Trigger still
animationTrigger.addChild idle
animationTrigger.addBundle still

animationSystem.createTrigger MovementTrigger move
animationTrigger.addBundle run
animationTrigger.valueHolder 1p_move

animationSystem.createTrigger MovementTrigger sprint
animationTrigger.addBundle sprint
animationTrigger.valueHolder 1p_sprint

animationSystem.createTrigger MessageTrigger fire
animationTrigger.addChild rnd_fire
animationTrigger.message 1

animationSystem.createTrigger Trigger normal
animationTrigger.fadeInTime 0.2
animationTrigger.addChild still
animationTrigger.addChild move
animationTrigger.addChild sprint
animationTrigger.addChild fire

animationSystem.createTrigger Trigger root
animationTrigger.addChild normal

animationSystem.createTrigger Trigger startup
animationTrigger.addBundle deploy

animationSystem.createTrigger Trigger completeTree
animationTrigger.addChild root
animationTrigger.addChild startup

